%define oname qt5

%define module qtdoc

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.4
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	qdoc5
BuildRequires:	qt5-qtbase-doc
BuildRequires:	qt5-tools
BuildArch:	noarch

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{oname}-doc
Summary:	Qt QCH documentation for %{oname}
Group:		Documentation
Requires:	qt5-qtbase-doc
Suggests:	qt5-qt3d-doc
Suggests:	qt5-qtcanvas3d-doc
Suggests:	qt5-qtconnectivity-doc
Suggests:	qt5-qtenginio-doc
Suggests:	qt5-qtgraphicaleffects-doc
Suggests:	qt5-qtlocation-doc
Suggests:	qt5-qtmultimedia-doc
Suggests:	qt5-qtquickcontrols-doc
Suggests:	qt5-qtquickcontrols2-doc
Suggests:	qt5-qtsensors-doc
Suggests:	qt5-qtsvg-doc
Suggests:	qt5-qtwebchannel-doc
Suggests:	qt5-qtwebengine-doc
Suggests:	qt5-qtwebkit-doc
Suggests:	qt5-qtwebsockets-doc
Suggests:	qt5-qtwebview-doc
BuildArch:	noarch

%description -n %{oname}-doc
Qt QCH documentation for %{oname}.

%files -n %{oname}-doc
%{_qt5_docdir}/qtdoc.qch

#----------------------------------------------------------------------------

%package -n %{oname}-examples
Summary:	Example applications for %{oname}
Group:		Development/KDE and Qt
Requires:	qt5-qtbase-examples
Suggests:	qt5-qt3d-examples
Suggests:	qt5-qtcanvas3d-examples
Suggests:	qt5-qtconnectivity-examples
Suggests:	qt5-qtdeclarative-examples
Suggests:	qt5-qtenginio-examples
Suggests:	qt5-qtlocation-examples
Suggests:	qt5-qtmultimedia-examples
Suggests:	qt5-qtquick1-examples
Suggests:	qt5-qtquickcontrols-examples
Suggests:	qt5-qtquickcontrols2-examples
Suggests:	qt5-qtscript-examples
Suggests:	qt5-qtsensors-examples
Suggests:	qt5-qtsvg-examples
Suggests:	qt5-qttools-examples
Suggests:	qt5-qtwayland-examples
Suggests:	qt5-qtwebchannel-examples
Suggests:	qt5-qtwebengine-examples
Suggests:	qt5-qtwebsockets-examples
Suggests:	qt5-qtwebview-examples
Suggests:	qt5-qtxmlpatterns-examples

%description -n %{oname}-examples
Example applications for %{oname}.

%files -n %{oname}-examples

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true
%make docs

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}
make install_qch_docs INSTALL_ROOT=%{buildroot}


%changelog

* Wed Jan 24 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (7e198c7) New version 5.9.4


